Add Import Job
curl --request POST \
--url https://api.{tenant}.getomneo.com/api/v3/imports/{import}/jobs \
--header 'Content-Type: application/json' \
--data '
{
"handler": "<string>",
"data": [
"<string>"
],
"result": [
"<string>"
]
}
'import requests
url = "https://api.{tenant}.getomneo.com/api/v3/imports/{import}/jobs"
payload = {
"handler": "<string>",
"data": ["<string>"],
"result": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({handler: '<string>', data: ['<string>'], result: ['<string>']})
};
fetch('https://api.{tenant}.getomneo.com/api/v3/imports/{import}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"import_id": 123,
"status": "<string>",
"handler": "<string>",
"result": [
"<unknown>"
],
"data": [
"<unknown>"
],
"total_batch_count": 123,
"created_at": "<string>",
"updated_at": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Import Job
Add Import Job
A POST to the /imports/{importId}/jobs endpoint allows your application to queue another job for this import.
POST
/
v3
/
imports
/
{import}
/
jobs
Add Import Job
Path Parameters
The import ID
Body
application/json
⌘I